import SimpleITK as sitk


# itk_image = sitk.ReadImage('/data/job_520/job_data_preprocess/output/preprocess/preprocess_file_details/nii/1.2.840.113704.1.111.4296.1624842993.8.nii.gz')
# itk_image = sitk.GetArrayFromImage(itk_image)
itk_image = sitk.ReadImage('/data/job_520/job_data_preprocess/output/preprocess/preprocess_file_details/nii/1.3.12.2.1107.5.1.4.75832.30000019083105232227900047720.nii.gz')
origin = itk_image.GetOrigin()
spacing = itk_image.GetSpacing()
size = itk_image.GetSize()
fx = itk_image.GetDirection()
info = itk_image.GetMetaDataKeys()
# fx = itk_image.GetMetaData('ITK_original_direction')
# max_coord = origin + spacing * size
print(origin)
print(spacing)
print(size)
print(fx)
print(info)
# print(max_coord)